Package org.apache.velocity.context

# Interface Context

All Known Subinterfaces:
  `InternalContextAdapter`

All Known Implementing Classes:
  `AbstractContext`, `ChainedInternalContextAdapter`, `InternalContextAdapterImpl`, `VelocityContext`

public interface Context
Interface describing the application data context. This set of routines is used by the application to set and remove 'named' data object to pass them to the template engine to use when rendering a template. This is the same set of methods supported by the original Context class

Version:
  $Id$
Author:
  Jason van Zyl, Geir Magnusson Jr.
See Also:
  - `AbstractContext`
  - `VelocityContext`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsKey(String key)`
Indicates whether the specified key is in the context.
`Object`
`get(String key)`
Gets the value corresponding to the provided key from the context.
`String[]`
`getKeys()`
Get all the keys for the values in the context.
`Object`
`put(String key, Object value)`
Adds a name/value pair to the context.
`Object`
`remove(String key)`
Removes the value associated with the specified key from the context.

## Method Details

### put

Object put(String key, Object value)
Adds a name/value pair to the context.

Parameters:
  `key` - The name to key the provided value with.
  `value` - The corresponding value.
Returns:
  The old object or null if there was no old object.

### get

Object get(String key)
Gets the value corresponding to the provided key from the context.

Parameters:
  `key` - The name of the desired value.
Returns:
  The value corresponding to the provided key.

### containsKey

boolean containsKey(String key)
Indicates whether the specified key is in the context.

Parameters:
  `key` - The key to look for.
Returns:
  Whether the key is in the context.

### getKeys

String[] getKeys()
Get all the keys for the values in the context.

Returns:
  All the keys for the values in the context.

### remove

Object remove(String key)
Removes the value associated with the specified key from the context.

Parameters:
  `key` - The name of the value to remove.
Returns:
  The value that the key was mapped to, or `null` if unmapped.